View Issue Details

IDProjectCategoryView StatusLast Update
0001921DrawingFeaturepublic2018-09-16 11:42
Reportertriplus Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version 
Target VersionFixed in Version 
Summary0001921: Drawing view hidden lines and stroke-dasharray
DescriptionHi.

It looks like ATM this is controlled by hard coded value of stroke-dasharray="0.02,0.1" and that is why this does not scale all that good:

0001920

P.S. If this gets fixed i was wondering if now would be appropriate time to get Drawing WB preferences page with hidden line stroke-dasharray settings in it. It's not much but after all DW has improved a lot in past few months and there is dimensioning extension available... Now might be the good time to break the ice and introduce rudimentary DW preferences page!
TagsNo tags attached.

Relationships

related to 0001920 closed Drawing scale and stroke-dasharray 
related to 0001863 closed Global preference for drawing line width 

Activities

triplus

2015-01-16 21:12

developer   ~0005664

There are actually 3 hardcoded values:

https://github.com/FreeCAD/FreeCAD_sf_master/blob/ed66ada1cfd5d5763d64c0346cb988137c44a6d5/src/Mod/Drawing/App/ProjectionAlgos.cpp#L177

https://github.com/FreeCAD/FreeCAD_sf_master/blob/ed66ada1cfd5d5763d64c0346cb988137c44a6d5/src/Mod/Drawing/App/ProjectionAlgos.cpp#L193

https://github.com/FreeCAD/FreeCAD_sf_master/blob/ed66ada1cfd5d5763d64c0346cb988137c44a6d5/src/Mod/Drawing/App/ProjectionAlgos.cpp#L254

Hidden lines (probably vertical or horizontal) + smooth hidden lines on drawing page can have 3 variations. From technical drawing point of view all 3 hidden line types should have the same dashed line and as suggested drawing view scale above/below 1 should not scale them.

Indeed stroke-width does get calculated and inserted based on drawing view scale:

https://github.com/FreeCAD/FreeCAD_sf_master/blob/ed66ada1cfd5d5763d64c0346cb988137c44a6d5/src/Mod/Drawing/App/ProjectionAlgos.cpp#L174

If this feature request is implemented Drawing WB will get the ability to set correct hidden line linetype. That is something currently not possible and post-procesing has to be used instead.

Kunda1

2017-02-02 00:30

administrator   ~0008159

Last edited: 2017-02-02 00:33

View 2 revisions

> - Line style/weight preference changes are planned (in TechDraw)
Per @wandererfan in https://forum.freecadweb.org/viewtopic.php?f=10&t=20342#p157399
Context: Drawing is planned to be deprecated after 0.17 in favor of TechDraw
Related: 0001920 & 0001863

wandererfan

2018-09-16 11:42

manager   ~0011754

Drawing WB has extensive preference pages now.

Issue History

Date Modified Username Field Change
2015-01-16 11:52 triplus New Issue
2015-01-16 21:12 triplus Note Added: 0005664
2017-01-14 01:16 Kunda1 Description Updated View Revisions
2017-01-14 01:16 Kunda1 Relationship added related to 0001920
2017-02-02 00:26 Kunda1 Relationship added related to 0001863
2017-02-02 00:30 Kunda1 Note Added: 0008159
2017-02-02 00:33 Kunda1 Note Edited: 0008159 View Revisions
2017-02-02 00:38 Kunda1 Status new => confirmed
2018-09-16 11:42 wandererfan Status confirmed => closed
2018-09-16 11:42 wandererfan Resolution open => fixed
2018-09-16 11:42 wandererfan Note Added: 0011754